package net.rzdata.demo.trait;

import com.baomidou.mybatisplus.core.metadata.IPage;
import com.baomidou.mybatisplus.core.metadata.OrderItem;
import com.baomidou.mybatisplus.extension.plugins.pagination.Page;
import lombok.Getter;
import lombok.Setter;
import lombok.ToString;

@Getter
@Setter
@ToString
public class GetReq<T> {

    private Integer pageSize = 15;
    private Integer pageNum = 1;
    private String orderBy;
    private Boolean asc = true;

    public IPage<T> into() {
        Page<T> page = new Page<>();
        page.setSize(pageSize);
        page.setCurrent(pageNum);
        if (orderBy != null) {
            page.addOrder(this.asc ? OrderItem.asc(orderBy) : OrderItem.desc(orderBy));
        }
        return page;
    }
}
